View Issue Details

IDProjectCategoryView StatusLast Update
0004033unrealircdpublic2015-08-08 08:32
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version3.3-alpha0Fixed in Version3.4-beta1 
Summary0004033: allow block: allow specifying only ip or hostname
DescriptionIn the allow block you currently are required to have both 'ip' and 'hostname'.
This makes it kinda silly if you only want to match on one of them.
Currently in such cases we recommend something like:
ip *@1.2.*;
hostname NOBODY; /* or NOMATCH */

It would be more logical to just require at least one of the items ('ip' or 'hostname')

Internally we could set it to something like NOMATCH, or NULL.. but in that case you wouldhave to check all code paths such as auth checks, stats, etc to make it not crash ;)
TagsNo tags attached.
3rd party modules

Activities

katsklaw

2011-07-23 15:44

reporter   ~0016733

This conversation was started in http://bugs.unrealircd.org/view.php?id=4013

Issue History

Date Modified Username Field Change
2011-07-19 17:07 syzop New Issue
2011-07-19 17:07 syzop Target Version => 3.3-alpha0
2011-07-19 17:08 syzop Status new => confirmed
2011-07-23 15:44 katsklaw Note Added: 0016733
2015-08-08 08:32 syzop Status confirmed => resolved
2015-08-08 08:32 syzop Fixed in Version => 3.4-beta1
2015-08-08 08:32 syzop Resolution open => fixed
2015-08-08 08:32 syzop Assigned To => syzop